Subject: Re: interface counters overflow (ppp)

From: Ben Hutchings <[email-masked]>
Date: Thu, 11 Dec 2008 18:15:53 +0000

On Thu, 2008-12-11 at 21:42 +0200, Denys Fedoryschenko wrote:
> Is there any plans to convert ppp counters to 64-bit values?
> Sure backward compatible way. (new ioctl call?)
> 
> Current speeds on modern interfaces, even on 1Mbit DSL modem (PPPoE 
> connection) will overflow pppd counters just in ~10 hours.
> 
> Current pppd implementation using SIOCGPPPSTATS ioctl, where is all fields 
> related to byte counting is 32-bit.

Perhaps it could implement ethtool stats?  There are several non-
Ethernet drivers implementing some of the ethtool operations now.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.